/*
 * RTMsgBase.java
 *
 * Created on May 24, 2005, 3:34 AM
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package message;

import java.io.Serializable;


/**
 *
 * @author Kevinsean Halle
 */
public class RTMsgSub extends RTMsgBase 
 implements Serializable, Cloneable
 { 
   private short        undividerPort;
   private int          dataSize;
   private DashedUnit   dashedUnit;
   private short        dataOwnerPort;
   private int          origLocalMsgID;
   private short        origWhoFrom;

   
   
   public String toString()
    { 
      String retString = super.toString(); 
      retString += "] [Undivider Port: " + undividerPort; 
      retString += "] [data size: " + dataSize;
      retString += "] [" + dashedUnit + "]\n";
      retString += "[data owner's port: " + dataOwnerPort;
      retString += "] [original Msg's ID: " + origLocalMsgID;
      retString += " | orig who from: " + origWhoFrom + "]\n";
      return retString;
    }


   /**
    * Creates a new instance of RTMsgBase 
    */
   public RTMsgSub() 
    { super();
    }
   
   
   public void setUndivider( short _undividerPort )
    { undividerPort = _undividerPort;
    }
   public short getUndivider()
    { return undividerPort;
    }
   
   
   public void setDataSize( int _dataSize )
    { dataSize = _dataSize;
    }
   public int getDataSize()
    { return dataSize;
    }
   
   
   public void setDashedUnit( DashedUnit _dashedUnit )
    { dashedUnit = _dashedUnit;
    }
   public DashedUnit getDashedUnit()
    { return dashedUnit;
    }
   
   
   public void setDataOwner( short _dataOwnerPort )
    { dataOwnerPort = _dataOwnerPort;
    }
   public short getDataOwner()
    { return dataOwnerPort;
    }
   
   
   public void setOrigLocalMsgID( int _origLocalMsgID )
    { origLocalMsgID = _origLocalMsgID;
    }
   public int getOrigLocalMsgID()
    { return origLocalMsgID;
    }   

   
   public void setOrigWhoFrom( short _origWhoFrom )
    { origWhoFrom = _origWhoFrom;
    }
   public short getOrigWhoFrom()
    { return origWhoFrom;
    }   

   
   public RTMsgSub clone()
    { RTMsgSub theClone = null;
      try
       {
         theClone = (RTMsgSub) super.clone();
       }
      catch( Exception e )
       {
       }
      return theClone;
    }
   
 }
