/*
 * RTMsgBase.java
 *
 * Created on May 24, 2005, 3:34 AM
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package message;

import java.io.Serializable;

/**
 *
 * @author Kevinsean Halle
 */
public class RTMsgBase implements Serializable, Cloneable
 { 
   private String       destServName;
   private short        destServPort;
   private MsgType1     msgType1;
   private MsgType2     msgType2;   
   private MsgType3     msgType3;   
   private Level        levelFrom;
      // the localMsgID is unique for a given "whoFrom"
   private int          localMsgID;
   private short        whoFrom;   
   
   public String toString()
    { String retString = "Msg: "; 
      retString += " [DestPort:" + destServPort; 
      retString += "] [" + msgType1;
      retString += " | " + msgType2;
      retString += " | " + msgType3;      
      retString += " | " + levelFrom + "]\n";
      retString += "[ID: " + localMsgID;
      retString += " | whoFrom: " + whoFrom + "]";
      return retString;
    }
   
   public RTMsgBase clone()
    { RTMsgBase theClone = null;
      try
       { theClone = (RTMsgBase) super.clone();
       }
      catch( Exception e )
       {
       }
      return theClone;
    }
   
   
   /**
    * Creates a new instance of RTMsgBase 
    */
   public RTMsgBase() 
    { 
    }
     
   
   public void setServTo( String _destServName )
    { destServName = _destServName;
    }
   public String getServTo()
    { return destServName;
    }
   
   
   public void setPortTo( int _destServPort )
    { destServPort = (short) _destServPort;
    }
   public short getPortTo()
    { return destServPort;
    }
   
   
   public void setMsgType1( MsgType1 _msgType1 )
    { msgType1 = _msgType1;
    }
   public MsgType1 getMsgType1()
    { return msgType1;
    }
   
   
   public void setMsgType2( MsgType2 _msgType2 )
    { msgType2 = _msgType2;
    }
   public MsgType2 getMsgType2()
    { return msgType2;
    }
   
   
   public void setMsgType3( MsgType3 _msgType3 )
    { msgType3 = _msgType3;
    }
   public MsgType3 getMsgType3()
    { return msgType3;
    }
   
   
   public void setLevelFrom( Level _levelFrom )
    { levelFrom = _levelFrom;
    }
   public Level getLevelFrom()
    { return levelFrom;
    }

   
   public void setLocalMsgID( int _localMsgID )
    { localMsgID = _localMsgID;
    }
   public int getLocalMsgID()
    { return localMsgID;
    }
   
   
   public void setWhoFrom( short _whoFrom )
    { whoFrom = _whoFrom;
    }
   public short getWhoFrom()
    { return whoFrom;
    }

 }
